Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(8)

Issue 292743009: Make let variables fresh in each iteration of a for-loop. (Closed)

Created:
5 years, 5 months ago by ulan
Modified:
5 years, 4 months ago
Reviewers:
rossberg
CC:
v8-dev
Visibility:
Public.

Description

Make let variables fresh in each iteration of a for-loop. BUG=v8:2198 LOG=N TEST=mjsunit/harmony/block-for R=rossberg@chromium.org Committed: https://code.google.com/p/v8/source/detail?r=21480

Patch Set 1 : #

Total comments: 14

Patch Set 2 : Address comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+237 lines, -31 lines) Patch
M src/parser.h View 1 1 chunk +4 lines, -0 lines 0 comments Download
M src/parser.cc View 1 4 chunks +188 lines, -24 lines 0 comments Download
M test/mjsunit/harmony/block-for.js View 3 chunks +36 lines, -4 lines 0 comments Download
M test/mjsunit/harmony/debug-blockscopes.js View 3 chunks +9 lines, -3 lines 0 comments Download

Messages

Total messages: 6 (0 generated)
ulan
PTAL
5 years, 4 months ago (2014-05-22 10:00:26 UTC) #1
rossberg
Readiing the CL I realised that our parsing of for-loops is not quite correct yet: ...
5 years, 4 months ago (2014-05-22 12:55:44 UTC) #2
rossberg
On 2014/05/22 12:55:44, rossberg wrote: > Readiing the CL I realised that our parsing of ...
5 years, 4 months ago (2014-05-22 13:13:43 UTC) #3
ulan
Thank you for review. I uploaded new patch set. https://codereview.chromium.org/292743009/diff/60001/src/parser.cc File src/parser.cc (right): https://codereview.chromium.org/292743009/diff/60001/src/parser.cc#newcode2858 src/parser.cc:2858: ...
5 years, 4 months ago (2014-05-23 14:29:03 UTC) #4
rossberg
lgtm
5 years, 4 months ago (2014-05-23 15:21:42 UTC) #5
ulan
5 years, 4 months ago (2014-05-26 08:07:10 UTC) #6
Message was sent while issue was closed.
Committed patchset #2 manually as r21480 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698